from collections import defaultdict

data = open('transactions.csv', 'r')
baskets = defaultdict(list)

for row in data:
    basket_id = row.replace('\r\n', '').split(',')[0]
    item_id = row.replace('\r\n', '').split(',')[1]
    baskets[basket_id].append(item_id)
    
data.close()

out = open('baskets.csv', 'w')
for k, v in baskets.iteritems():
    s = '%s' % k
    for item in v:
        s += ',%s' % item
    out.write('%s\n' % s)
out.close()
